package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.AcompanhamentoAprovCardFlows;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.pages.AcompanhamentoAprovCardPage;
import org.testng.annotations.Test;

public class AcompanhamentoAprovCardTests extends TestBase {

    AcompanhamentoAprovCardPage acompanhamentoAprovCardPage;
    AcompanhamentoAprovCardFlows acompanhamentoAprovCardFlows;
    LoginFlows loginFlows;

    //selecionar o relatório 'Acompanhamento de Aprovação de Cardápio'
    //selecionar duas unidades
    //selecionar dois relatórios
    //selecionar os meses inicial e final respectivamente
    //gerar o relatório. O relatório deve ser gerado com sucesso
    //clicar no check-box 'Todas' das unidades e serviços e verificar se os mesmos ficaram selecionados
    //gerar o relatório com os o check-box de todas as unidades e serviços selecionado
    //selecionar um mês inicial maior que o final e tentar gerar o relatório
    //deve ser emitida uma mesagem na tela e a mesma será verificada se é a mensagem correta
    //verificar os campos obrigatórios da tela
    @Test
    public void acompanhamentoDeAprovCard() {
        acompanhamentoAprovCardPage = new AcompanhamentoAprovCardPage();
        acompanhamentoAprovCardFlows = new AcompanhamentoAprovCardFlows();
        loginFlows = new LoginFlows();

        loginFlows.efetuarLogin();
        acompanhamentoAprovCardFlows.navegateAcompAprovCard();
        acompanhamentoAprovCardPage.selecionarRelatorio();
        acompanhamentoAprovCardPage.selecionarUnidades();
        acompanhamentoAprovCardPage.selecionarServicos();
        acompanhamentoAprovCardPage.selecionarMeses();
        acompanhamentoAprovCardPage.geraRelatorio();
        acompanhamentoAprovCardPage.selecionarTodasUnidadesEServicos();
        acompanhamentoAprovCardPage.geraRelatorio();
        acompanhamentoAprovCardPage.mesInicialMaiorQueFinal();
        acompanhamentoAprovCardPage.refresh();
        acompanhamentoAprovCardPage.camposObrigatorios();

        try {
            Thread.sleep(7000);
        } catch (InterruptedException e) {
            throw new RuntimeException(e);
        }
    }

}
