package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.flows.MedicaoEfetivosFlows;
import com.javaseleniumtemplate.pages.MainPage;
import org.testng.annotations.Test;


public class MedicaoEfetivosTests extends TestBase {

    LoginFlows loginFlows;
    MedicaoEfetivosFlows efetivosFlows;


    @Test
    public void informaEfetivos() {
        loginFlows = new LoginFlows();
        efetivosFlows = new MedicaoEfetivosFlows();

        String UNIDADE = "0002";
        String DTEFETIVOS = "12/09/2022";

        //Efetivos Planejamento
        String QTDCLIENTE = "10";
        String QTDFUNCIONARIO = "0";
        String QTDDOACAO = "0";

        //Efetivos Faturamento
        String QTDEFETIVOFATU = "20";
        String QTDVENDAVISTA = "0";
        String QTDATUAL = "10";

        String DTINI = "01/09/2022";
        String DTFIM = "30/09/2022";

        loginFlows.efetuarLogin();
        efetivosFlows.acessaMedicao(UNIDADE, DTEFETIVOS);
        efetivosFlows.informaEfetivosPla(QTDCLIENTE, QTDFUNCIONARIO,QTDDOACAO);
        efetivosFlows.informaEfetivosFatu(QTDEFETIVOFATU,QTDVENDAVISTA,QTDATUAL);

        //Emissão de relatórios
        efetivosFlows.emiteRelatorio(UNIDADE,DTINI,DTFIM);

    }

}
